import request from "@/utils/request.js";


/**
 * 更新用户openid
 * 
 */
export function bannerList(data) {
  return request.get('system/front/banner/listByType', data);
}

/**
 * 更新用户openid
 * 
 */
export function updateOpenId(data) {
  return request.post('mini/user/openId', data, {noAuth:true},{});
}
/**
 * 微信登录
 * 
 */
export function wxLogin(data) {
  return request.post('auth/wxmini/login', data, {noAuth:true});
}
/**
 * 退出登录
 * 
 */
export function userLogout(data) {
  return request.post('mini/user/userLogout', data);
}
/**
 * 根据token获取用户信息
 * 
 */
export function getUserInfoApi(data) {
  return request.get('system/front/wxmini/getInfo', data);
}
/**
 * 修改用户信息
 * 
 */
export function userEdit(data) {
  return request.put('mini/user/userEdit', data);
}
/**
 * 会员套餐列表
 * 
 */
export function getPlanList(data) {
  return request.get('mini/plan/list', data);
}
/**
 * 查询充值规则列表
 * 
 */
export function getRuleList(data) {
  return request.get('mini/rule/list', data);
}
/**
 * 钱包流水记录
 * 
 */
export function getRecordList(data) {
  return request.get('mini/record/list', data);
}
